| Kinetis SDK Demo Applications User Guide 1.0.0-beta Freescale Semiconductor, Inc.

- Main Page
- Related Pages
- Demos

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
gpio_uart.c File Reference
`#include <string.h>`
`#include "device/fsl_device_registers.h"`
`#include "clock/fsl_clock_manager.h"`
`#include "gpio/fsl_gpio_driver.h"`
`#include "fsl_port_hal.h"`
`#include "pit/fsl_pit_driver.h"`
`#include "fsl_pit_hal.h"`
`#include "interrupt/fsl_interrupt_manager.h"`
`#include "board.h"`
`#include "gpio_pins.h"`
`#include "gpio_uart.h"`

## Macros
#define | PIT_TIMER_INST
#define | OSR
#define | OSR_DIV
#define | BAUD_RATE

## Functions
void | PIT_0_IRQHandler (void)
void | io_irq_callback (void)
void | send_char (char character)
char | recv_char (void)
int | main (void)

## Variables
gpio_input_pin_user_config_t | gpioUartDemoRxPin []
gpio_output_pin_user_config_t | gpioUartDemoTxPin []
gpio_output_pin_user_config_t | led_pins []
volatile unsigned char | curr_val
volatile unsigned char | intCount
volatile unsigned char | rx_start
volatile unsigned char | char_recvd
volatile unsigned char | tx_index
volatile unsigned char | rx_index
volatile uint8_t | bitBuff [OSR *10]
volatile char | rcv_bit_index

## Macro Definition Documentation

#define BAUD_RATE

#define OSR

#define OSR_DIV

#define PIT_TIMER_INST

## Function Documentation

void io_irq_callback | ( | void |  | ) |

int main | ( | void |  | ) |

void PIT_0_IRQHandler | ( | void |  | ) |

char recv_char | ( | void |  | ) |

void send_char | ( | char | character | ) |

## Variable Documentation

volatile uint8_t bitBuff[OSR *10]

volatile unsigned char char_recvd

volatile unsigned char curr_val

gpio_input_pin_user_config_t gpioUartDemoRxPin[]

gpio_output_pin_user_config_t gpioUartDemoTxPin[]

volatile unsigned char intCount

gpio_output_pin_user_config_t led_pins[]

volatile char rcv_bit_index

volatile unsigned char rx_index

volatile unsigned char rx_start

volatile unsigned char tx_index